# Tarfile created using git
# git clone git://gitorious.org/meego-netbook-ux/meego-panel-people.git
# git archive --format=tar --prefix=meego-panel-people-%{version}/ %{version} | bzip2 > %{name}-%{version}.tar.bz2
%define tarfile %{name}-%{version}.tar.bz2

Name:          meego-panel-people
Version:       0.2.4
Release:       5%{?dist}
Summary:       Meego Panel for People

Group:         User Interface/Desktops
License:       LGPLv2
URL:           http://www.meego.com
Source0:       %{tarfile}

BuildRequires: anerley-devel
BuildRequires: clutter-devel
BuildRequires: dbus-glib-devel
BuildRequires: gtk2-devel
BuildRequires: libmx-devel
BuildRequires: mutter-meego-devel
BuildRequires: telepathy-glib-devel
BuildRequires: intltool

# Require these because the git tarball doesn't have the configure built
BuildRequires: libtool
BuildRequires: gnome-common

Requires: dbus

%description
The Meego panel for managing and contacting people.

%prep
%setup -q

# run autogen.sh until we have a proper release, but don't run configure twice.
NOCONFIGURE=true ./autogen.sh

%build
%configure --disable-static
make %{?_smp_mflags} V=1

%install
make install DESTDIR=%{buildroot} INSTALL='install -p'

%find_lang %{name}

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc COPYING
%{_libexecdir}/meego-panel-people
%{_datadir}/dbus-1/services/com.meego.UX.Shell.Panels.people.service
%{_datadir}/dbus-1/services/org.freedesktop.Telepathy.Client.MeegoPanelPeople.service
%{_datadir}/mutter-meego/panels/meego-panel-people.desktop
%{_datadir}/telepathy/clients/MeegoPanelPeople.client
%{_datadir}/%{name}

%changelog
* Fri Mar 11 2011 Peter Robinson <pbrobinson@gmail.com> 0.2.4-5
- Bump build

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.4-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Thu Feb  3 2011 Peter Robinson <pbrobinson@gmail.com> 0.2.4-3
- Bump build for new evolution

* Fri Jan 14 2011 Peter Robinson <pbrobinson@gmail.com> 0.2.4-2
- Bump build for new evolution

* Mon Dec  6 2010 Peter Robinson <pbrobinson@gmail.com> 0.2.4-1
- new 0.2.4, build against gtk3

* Mon Nov 29 2010 Peter Robinson <pbrobinson@gmail.com> 0.2.3-2
- Fix license

* Mon Sep 27 2010 Peter Robinson <pbrobinson@gmail.com> 0.2.3-1
- New upstream 0.2.3 release
- Rename from moblin to MeeGo

* Tue Jul 20 2010 Peter Robinson <pbrobinson@gmail.com> 0.1.13-3
- Bump build for new evolution

* Mon Jul  5 2010 Peter Robinson <pbrobinson@gmail.com> 0.1.13-2
- Rebuild against new libmx

* Fri Jun 25 2010 Peter Robinson <pbrobinson@gmail.com> 0.1.13-1
- New upstream 0.1.13 release

* Wed May 26 2010 Peter Robinson <pbrobinson@gmail.com> 0.0.10-6
- Bump build for new evolution

* Wed May  5 2010 Peter Robinson <pbrobinson@gmail.com> 0.0.10-5
- Bump build

* Sun Apr 27 2010 Peter Robinson <pbrobinson@gmail.com> 0.0.10-4
- Bump build

* Sun Apr 18 2010 Peter Robinson <pbrobinson@gmail.com> 0.0.10-3
- Rebuild again 

* Sun Apr 18 2010 Peter Robinson <pbrobinson@gmail.com> 0.0.10-2
- Rebuild 

* Tue Nov 17 2009 Peter Robinson <pbrobinson@gmail.com> 0.0.10-1
- New upstream 0.0.10 release, update licence to changed upstream license

* Mon Oct 26 2009 Peter Robinson <pbrobinson@gmail.com> 0.0.8-1
- New upstream 0.0.8 release

* Fri Oct 16 2009 Peter Robinson <pbrobinson@gmail.com> 0.0.7-1
- New upstream 0.0.7 release

* Tue Oct 13 2009 Peter Robinson <pbrobinson@gmail.com> 0.0.6-1
- New upstream 0.0.6 release

* Mon Oct 12 2009 Peter Robinson <pbrobinson@gmail.com> 0.0.5-1
- New upstream 0.0.5 release

* Sat Oct 10 2009 Peter Robinson <pbrobinson@gmail.com> 0.0.4-1
- New upstream 0.0.4 release

* Wed Sep 30 2009 Peter Robinson <pbrobinson@gmail.com> 0.0.3-1
- New upstream 0.0.3 release, drop upstreamed MC5 patches

* Tue Sep 29 2009 Peter Robinson <pbrobinson@gmail.com> 0.0.1-4
- Add telepathy-glib dependency

* Tue Sep 29 2009 Peter Robinson <pbrobinson@gmail.com> 0.0.1-3
- Add patch for nbtk-1.2 api

* Mon Sep 28 2009 Bastien Nocera <bnocera@redhat.com> 0.0.1-2
- Add patch to port to new Mission Control

* Wed Aug 19 2009 Peter Robinson <pbrobinson@gmail.com> 0.0.1-1
- Initial packaging
